﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using NextFlix.Content;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

#nullable disable

namespace NextFlix.Content.Migrations
{
    [DbContext(typeof(CatalogDbContext))]
    [Migration("20240509140600_InitialMigration")]
    partial class InitialMigration
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "8.0.4")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("NextFlix.Content.Model.Genre", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Genres");

                    b.HasData(
                        new
                        {
                            Id = new Guid("ded13f50-4206-409a-8537-a841927a3919"),
                            Name = "Action"
                        },
                        new
                        {
                            Id = new Guid("ad3081e3-486c-4a29-a2e3-d5a8ad4efacc"),
                            Name = "Science Fiction"
                        },
                        new
                        {
                            Id = new Guid("c8cd39df-b1c6-4e1e-a770-02baad3afd3a"),
                            Name = "Drama"
                        },
                        new
                        {
                            Id = new Guid("0e2f52ec-2efd-4904-84aa-29cf06f974fc"),
                            Name = "Thriller"
                        },
                        new
                        {
                            Id = new Guid("255174d5-c0ed-4ea0-bac7-b1f81b67c4e9"),
                            Name = "Fantasy"
                        },
                        new
                        {
                            Id = new Guid("8e40c2cd-ff6c-4b77-b26a-fa874a9bc7a5"),
                            Name = "Adventure"
                        },
                        new
                        {
                            Id = new Guid("ffb5efc6-98d8-42f6-bf55-6a855c9b866b"),
                            Name = "Crime"
                        },
                        new
                        {
                            Id = new Guid("35ac9def-e871-46b7-b75c-0a5ea21d5469"),
                            Name = "Biography"
                        },
                        new
                        {
                            Id = new Guid("21336be5-358c-4623-9b2c-e192bbae4e53"),
                            Name = "Mystery"
                        },
                        new
                        {
                            Id = new Guid("2fe09b02-9c05-4048-bfbb-713af5771541"),
                            Name = "Romance"
                        });
                });

            modelBuilder.Entity("NextFlix.Content.Model.Movie", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Cover")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<Guid>("DirectorId")
                        .HasColumnType("uuid");

                    b.Property<string>("EnglishTitle")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<Guid>("GenreId")
                        .HasColumnType("uuid");

                    b.Property<bool>("IsActive")
                        .HasColumnType("boolean");

                    b.Property<string>("Origin")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int>("Price")
                        .HasColumnType("integer");

                    b.Property<DateTime>("ReleasedAt")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Trailer")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("DirectorId");

                    b.HasIndex("GenreId");

                    b.ToTable("Movies");

                    b.HasData(
                        new
                        {
                            Id = new Guid("fbae62e5-ab80-451f-a309-fd7fbc7ca5ad"),
                            Cover = "https://example.com/inception.jpg",
                            Description = "A thief who steals corporate secrets through the use of dream-sharing technology is given the inverse task of planting an idea into the mind of a CEO.",
                            DirectorId = new Guid("ab7921e6-f2c9-423b-b132-426ca537e801"),
                            EnglishTitle = "Inception",
                            GenreId = new Guid("255174d5-c0ed-4ea0-bac7-b1f81b67c4e9"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 399,
                            ReleasedAt = new DateTime(2010, 7, 16, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Inception",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("6b3bb770-ed3b-44ee-a3c4-b327b3cc0e4c"),
                            Cover = "https://example.com/matrix.jpg",
                            Description = "When a beautiful stranger leads computer hacker Neo to a forbidding underworld, he discovers the shocking truth--the life he knows is the elaborate deception of an evil cyber-intelligence.",
                            DirectorId = new Guid("a57d44f6-b1fe-4177-9594-5d3ef5592444"),
                            EnglishTitle = "The Matrix",
                            GenreId = new Guid("255174d5-c0ed-4ea0-bac7-b1f81b67c4e9"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 299,
                            ReleasedAt = new DateTime(1999, 3, 31, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "The Matrix",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("53aec932-bd96-48ee-a973-0bf21de35900"),
                            Cover = "https://example.com/interstellar.jpg",
                            Description = "A team of explorers travel through a wormhole in space in an attempt to ensure humanity's survival.",
                            DirectorId = new Guid("9402635a-36d5-4961-ba87-2b335d5919d9"),
                            EnglishTitle = "Interstellar",
                            GenreId = new Guid("8e40c2cd-ff6c-4b77-b26a-fa874a9bc7a5"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 499,
                            ReleasedAt = new DateTime(2014, 11, 7, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Interstellar",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("0d340d4e-6117-4d58-9d62-a6eb99264133"),
                            Cover = "https://example.com/parasite.jpg",
                            Description = "Greed and class discrimination threaten the newly formed symbiotic relationship between the wealthy Park family and the destitute Kim clan.",
                            DirectorId = new Guid("314252ae-5334-4e59-8332-d3a87b927ac1"),
                            EnglishTitle = "Parasite",
                            GenreId = new Guid("35ac9def-e871-46b7-b75c-0a5ea21d5469"),
                            IsActive = true,
                            Origin = "South Korea",
                            Price = 350,
                            ReleasedAt = new DateTime(2019, 5, 30, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Parasite",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("a749822e-b2c6-4f8c-9917-6734e78ea601"),
                            Cover = "https://example.com/bladerunner2049.jpg",
                            Description = "Young Blade Runner K's discovery of a long-buried secret leads him to track down former Blade Runner Rick Deckard, who's been missing for thirty years.",
                            DirectorId = new Guid("bea49ee1-a124-4186-8353-cdf9f6bc220e"),
                            EnglishTitle = "Blade Runner 2049",
                            GenreId = new Guid("ad3081e3-486c-4a29-a2e3-d5a8ad4efacc"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 399,
                            ReleasedAt = new DateTime(2017, 10, 6, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Blade Runner 2049",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("017e6c58-27c2-41ba-a2a8-b1221cd5fbbe"),
                            Cover = "https://example.com/avengersendgame.jpg",
                            Description = "The Avengers assemble once more in order to reverse Thanos' actions and restore balance to the universe.",
                            DirectorId = new Guid("c07e1e93-f627-4f3b-bc95-c36098bf23ab"),
                            EnglishTitle = "Avengers: Endgame",
                            GenreId = new Guid("ffb5efc6-98d8-42f6-bf55-6a855c9b866b"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 499,
                            ReleasedAt = new DateTime(2019, 4, 26, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Avengers: Endgame",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("4c246fc5-ab2b-41f8-9f1b-1ce290e28825"),
                            Cover = "https://example.com/moonlight.jpg",
                            Description = "A young African-American man grapples with his identity and sexuality while experiencing the everyday struggles of childhood, adolescence, and burgeoning adulthood.",
                            DirectorId = new Guid("9402635a-36d5-4961-ba87-2b335d5919d9"),
                            EnglishTitle = "Moonlight",
                            GenreId = new Guid("ffb5efc6-98d8-42f6-bf55-6a855c9b866b"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 299,
                            ReleasedAt = new DateTime(2016, 10, 21, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Moonlight",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("dd608a10-f0a4-469f-82ce-b74b385f71be"),
                            Cover = "https://example.com/gravity.jpg",
                            Description = "Two astronauts work together to survive after an accident leaves them stranded in space.",
                            DirectorId = new Guid("ab7921e6-f2c9-423b-b132-426ca537e801"),
                            EnglishTitle = "Gravity",
                            GenreId = new Guid("c8cd39df-b1c6-4e1e-a770-02baad3afd3a"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 399,
                            ReleasedAt = new DateTime(2013, 10, 4, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Gravity",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("a29eeae7-54e7-4096-9685-cd5409f7de8a"),
                            Cover = "https://example.com/madmax.jpg",
                            Description = "In a post-apocalyptic wasteland, a woman rebels against a tyrannical ruler in search for her homeland with the aid of a group of female prisoners, a psychotic worshiper, and a drifter named Max.",
                            DirectorId = new Guid("71d1e801-e274-4f3a-b7b7-b708b3d02f88"),
                            EnglishTitle = "Mad Max: Fury Road",
                            GenreId = new Guid("255174d5-c0ed-4ea0-bac7-b1f81b67c4e9"),
                            IsActive = true,
                            Origin = "Australia",
                            Price = 399,
                            ReleasedAt = new DateTime(2015, 5, 15, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Mad Max: Fury Road",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("4284dcfa-617a-4101-919b-721766fb2615"),
                            Cover = "https://example.com/joker.jpg",
                            Description = "In Gotham City, mentally troubled comedian Arthur Fleck is disregarded and mistreated by society. He then embarks on a downward spiral of revolution and bloody crime. This path brings him face-to-face with his alter-ego: the Joker.",
                            DirectorId = new Guid("314252ae-5334-4e59-8332-d3a87b927ac1"),
                            EnglishTitle = "Joker",
                            GenreId = new Guid("35ac9def-e871-46b7-b75c-0a5ea21d5469"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 499,
                            ReleasedAt = new DateTime(2019, 10, 4, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Joker",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("cff55d95-f40a-428e-ba94-92a62d0608c5"),
                            Cover = "https://example.com/grandbudapest.jpg",
                            Description = "A writer encounters the owner of an aging high-class hotel, who tells him of his early years serving as a lobby boy in the hotel's glorious years under an exceptional concierge.",
                            DirectorId = new Guid("ab7921e6-f2c9-423b-b132-426ca537e801"),
                            EnglishTitle = "The Grand Budapest Hotel",
                            GenreId = new Guid("35ac9def-e871-46b7-b75c-0a5ea21d5469"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 299,
                            ReleasedAt = new DateTime(2014, 3, 28, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "The Grand Budapest Hotel",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("6e7c73ff-40b2-4862-a301-c04f39ce8c4d"),
                            Cover = "https://example.com/her.jpg",
                            Description = "In a near future, a lonely writer develops an unlikely relationship with an operating system designed to meet his every need.",
                            DirectorId = new Guid("af5b9d80-2608-46ac-8469-b3a1d08cefc2"),
                            EnglishTitle = "Her",
                            GenreId = new Guid("2fe09b02-9c05-4048-bfbb-713af5771541"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 350,
                            ReleasedAt = new DateTime(2013, 12, 18, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Her",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("03a283c4-9a61-47da-92f3-9c0619f5645f"),
                            Cover = "https://example.com/nocountry.jpg",
                            Description = "Violence and mayhem ensue after a hunter stumbles upon a drug deal gone wrong and more than two million dollars in cash near the Rio Grande.",
                            DirectorId = new Guid("af5b9d80-2608-46ac-8469-b3a1d08cefc2"),
                            EnglishTitle = "No Country for Old Men",
                            GenreId = new Guid("0e2f52ec-2efd-4904-84aa-29cf06f974fc"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 299,
                            ReleasedAt = new DateTime(2007, 11, 21, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "No Country for Old Men",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("a7a1fdea-f85f-49f6-9c24-1d1f27d55f7d"),
                            Cover = "https://example.com/shutterisland.jpg",
                            Description = "In 1954, a U.S. Marshal investigates the disappearance of a murderer who escaped from a hospital for the criminally insane.",
                            DirectorId = new Guid("9402635a-36d5-4961-ba87-2b335d5919d9"),
                            EnglishTitle = "Shutter Island",
                            GenreId = new Guid("c8cd39df-b1c6-4e1e-a770-02baad3afd3a"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 399,
                            ReleasedAt = new DateTime(2010, 2, 19, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Shutter Island",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("aaadfb5c-46fe-401b-8a60-18b14c73839f"),
                            Cover = "https://example.com/revenant.jpg",
                            Description = "A frontiersman on a fur trading expedition in the 1820s fights for survival after being mauled by a bear and left for dead by members of his own hunting team.",
                            DirectorId = new Guid("c8a1b0f8-fbeb-400e-ad74-eba5c12e1891"),
                            EnglishTitle = "The Revenant",
                            GenreId = new Guid("8e40c2cd-ff6c-4b77-b26a-fa874a9bc7a5"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 450,
                            ReleasedAt = new DateTime(2016, 1, 8, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "The Revenant",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("fc70e471-228f-4d7c-8741-458bc03ee5ca"),
                            Cover = "https://example.com/whiplash.jpg",
                            Description = "A promising young drummer enrolls at a cut-throat music conservatory where his dreams of greatness are mentored by an instructor who will stop at nothing to realize a student's potential.",
                            DirectorId = new Guid("af5b9d80-2608-46ac-8469-b3a1d08cefc2"),
                            EnglishTitle = "Whiplash",
                            GenreId = new Guid("255174d5-c0ed-4ea0-bac7-b1f81b67c4e9"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 299,
                            ReleasedAt = new DateTime(2014, 10, 15, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Whiplash",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("cfa17401-9c6e-4c42-a2a7-661f5b162113"),
                            Cover = "https://example.com/lalaland.jpg",
                            Description = "While navigating their careers in Los Angeles, a pianist and an actress fall in love while attempting to reconcile their aspirations for the future.",
                            DirectorId = new Guid("3350355b-204f-4093-8849-17e9c841da20"),
                            EnglishTitle = "La La Land",
                            GenreId = new Guid("c8cd39df-b1c6-4e1e-a770-02baad3afd3a"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 399,
                            ReleasedAt = new DateTime(2016, 12, 9, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "La La Land",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("c6c2aeb6-ef17-4d94-83d7-876b9b00fb3d"),
                            Cover = "https://example.com/frozen.jpg",
                            Description = "When the newly crowned Queen Elsa accidentally uses her power to turn things into ice to curse her home in infinite winter, her sister, Anna, teams up with a mountain man, his playful reindeer, and a snowman to change the weather condition.",
                            DirectorId = new Guid("a57d44f6-b1fe-4177-9594-5d3ef5592444"),
                            EnglishTitle = "Frozen",
                            GenreId = new Guid("c8cd39df-b1c6-4e1e-a770-02baad3afd3a"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 350,
                            ReleasedAt = new DateTime(2013, 11, 27, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Frozen",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("42e62df1-dc6e-488b-ae79-8cb9a2637e0f"),
                            Cover = "https://example.com/socialnetwork.jpg",
                            Description = "As Harvard student Mark Zuckerberg creates the social networking site that would become known as Facebook, he is sued by the twins who claimed he stole their idea, and by the co-founder who was later squeezed out of the business.",
                            DirectorId = new Guid("0bac67b9-c0cd-4f9c-95a2-e33f77e97840"),
                            EnglishTitle = "The Social Network",
                            GenreId = new Guid("ad3081e3-486c-4a29-a2e3-d5a8ad4efacc"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 399,
                            ReleasedAt = new DateTime(2010, 10, 1, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "The Social Network",
                            Trailer = ""
                        },
                        new
                        {
                            Id = new Guid("8e6407eb-dc70-4f21-8b30-517d43ff59cd"),
                            Cover = "https://example.com/pulpfiction.jpg",
                            Description = "The lives of two mob hitmen, a boxer, a gangster's wife, and a pair of diner bandits intertwine in four tales of violence and redemption.",
                            DirectorId = new Guid("ad3272be-ce1e-4e16-9b5f-1ea13e84fdd5"),
                            EnglishTitle = "Pulp Fiction",
                            GenreId = new Guid("255174d5-c0ed-4ea0-bac7-b1f81b67c4e9"),
                            IsActive = true,
                            Origin = "USA",
                            Price = 499,
                            ReleasedAt = new DateTime(1994, 10, 14, 0, 0, 0, 0, DateTimeKind.Utc),
                            Title = "Pulp Fiction",
                            Trailer = ""
                        });
                });

            modelBuilder.Entity("NextFlix.Content.Model.Person", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Persons");

                    b.HasData(
                        new
                        {
                            Id = new Guid("bea49ee1-a124-4186-8353-cdf9f6bc220e"),
                            FirstName = "Christopher",
                            LastName = "Nolan"
                        },
                        new
                        {
                            Id = new Guid("ac09e7c4-30ba-4f6a-9fa0-148a7611a607"),
                            FirstName = "Lana",
                            LastName = "Wachowski"
                        },
                        new
                        {
                            Id = new Guid("ab7921e6-f2c9-423b-b132-426ca537e801"),
                            FirstName = "Lilly",
                            LastName = "Wachowski"
                        },
                        new
                        {
                            Id = new Guid("dcdbf003-c102-464f-8231-b0bd3d3a3570"),
                            FirstName = "Bong",
                            LastName = "Joon-ho"
                        },
                        new
                        {
                            Id = new Guid("71d1e801-e274-4f3a-b7b7-b708b3d02f88"),
                            FirstName = "Denis",
                            LastName = "Villeneuve"
                        },
                        new
                        {
                            Id = new Guid("c07e1e93-f627-4f3b-bc95-c36098bf23ab"),
                            FirstName = "Anthony",
                            LastName = "Russo"
                        },
                        new
                        {
                            Id = new Guid("3350355b-204f-4093-8849-17e9c841da20"),
                            FirstName = "Joe",
                            LastName = "Russo"
                        },
                        new
                        {
                            Id = new Guid("9402635a-36d5-4961-ba87-2b335d5919d9"),
                            FirstName = "Barry",
                            LastName = "Jenkins"
                        },
                        new
                        {
                            Id = new Guid("314252ae-5334-4e59-8332-d3a87b927ac1"),
                            FirstName = "Alfonso",
                            LastName = "Cuarón"
                        },
                        new
                        {
                            Id = new Guid("1a2ce7a8-c895-4704-85bf-6d316a456ed8"),
                            FirstName = "George",
                            LastName = "Miller"
                        },
                        new
                        {
                            Id = new Guid("a57d44f6-b1fe-4177-9594-5d3ef5592444"),
                            FirstName = "Todd",
                            LastName = "Phillips"
                        },
                        new
                        {
                            Id = new Guid("7abba7a3-5c26-4f47-8e70-b56057dc1375"),
                            FirstName = "Wes",
                            LastName = "Anderson"
                        },
                        new
                        {
                            Id = new Guid("af5b9d80-2608-46ac-8469-b3a1d08cefc2"),
                            FirstName = "Spike",
                            LastName = "Jonze"
                        },
                        new
                        {
                            Id = new Guid("5b96d968-95e4-4e76-9b6b-0f6baf9d915b"),
                            FirstName = "Joel",
                            LastName = "Coen"
                        },
                        new
                        {
                            Id = new Guid("ad3272be-ce1e-4e16-9b5f-1ea13e84fdd5"),
                            FirstName = "Ethan",
                            LastName = "Coen"
                        },
                        new
                        {
                            Id = new Guid("c8a1b0f8-fbeb-400e-ad74-eba5c12e1891"),
                            FirstName = "Martin",
                            LastName = "Scorsese"
                        },
                        new
                        {
                            Id = new Guid("0bac67b9-c0cd-4f9c-95a2-e33f77e97840"),
                            FirstName = "David",
                            LastName = "Fincher"
                        },
                        new
                        {
                            Id = new Guid("d5943a17-61df-4ce4-ac02-7bed4c2def4e"),
                            FirstName = "Quentin",
                            LastName = "Tarantino"
                        });
                });

            modelBuilder.Entity("NextFlix.Content.Model.Movie", b =>
                {
                    b.HasOne("NextFlix.Content.Model.Person", "Director")
                        .WithMany("Movies")
                        .HasForeignKey("DirectorId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("NextFlix.Content.Model.Genre", "Genre")
                        .WithMany("Movies")
                        .HasForeignKey("GenreId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Director");

                    b.Navigation("Genre");
                });

            modelBuilder.Entity("NextFlix.Content.Model.Genre", b =>
                {
                    b.Navigation("Movies");
                });

            modelBuilder.Entity("NextFlix.Content.Model.Person", b =>
                {
                    b.Navigation("Movies");
                });
#pragma warning restore 612, 618
        }
    }
}
